Subject: Re: bug#43153: Add new command project-find-dir (and move binding of project-dired)

From: Juri Linkov <[email-masked]>
Date: Tue, 21 Sep 2021 20:29:39 +0300

>>>> BTW, I have such customization:
>>>>     (define-key project-prefix-map "V" vc-prefix-map)
>>>> to allow vc commands in a project, e.g. 'C-x p V D' for 'vc-root-diff'.
>>> Hmm. I'm not sure when I'd use it instead of the shorter 'C-x v D'.
>>>
>>> When you are inside a Git submodule, maybe? It can make a difference. But
>>> then you have to be aware that the diff will not include changes in the
>>> submodules (just the changed summary hashes).
>> I meant that 'C-x p V D' can be typed outside of a repository
>> to select a project.
>
> Ah. That should be handy, yes.

But like there is the binding 'C-x v d' to 'vc-dir'
wouldn't it better to provide the same for project?
Then 'C-x p v d' could use 'project-vc-dir', and
other 'C-x v' bindings will be available under 'C-x p v'.